Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class WherePortionInfo

    java.lang.Object
      jet.api.WherePortionInfo

    public class WherePortionInfo

extends java.lang.Object

The WherePortionInfo defines the additional "WHERE" clause of the query statement. E.g, WherePortionInfo wInfo = new WherePortionInfo();
wInfo.add("Customer.ID" ,"<", "5", "Or", false);
wInfo.add("Customer.ID" ,">", "20", "End", false);
It shows:
Where (Customer.ID < 5 or Customer.ID > 20).

Constructor Summary
`WherePortionInfo()` Constructs a WherePortion's information.

Method Summary
`void` | `add(java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2, java.lang.String sLogic, boolean isNewGroup)` Adds a where portion object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WherePortionInfo

    public WherePortionInfo()

  Constructs a WherePortion's information.

Method Detail

### add

    public void add(java.lang.String sExpression1,
                    java.lang.String sOperator,
                    java.lang.String sExpression2,
                    java.lang.String sLogic,
                    boolean isNewGroup)

  Adds a where portion object.

  Parameters:
    `sLogic` - The logic string of the where portion, which is one of `And`, `Or`, and `End`.
    `sExpression1` - The first expression of the where portion.
    `sOperator` - The operator of the where portion. The operator should be detectable by the specific DBMS.
    `sExpression2` - The second expression of the where portion.
    `isNewGroup` - Indicates whether to insert the where portion as a new group or not. If `true`, this statement will be inserted as a new group; `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD